# Report Substitute

This module allows you to create substitution rules for report actions. A typical use case is to replace a standard report by alternative reports when some conditions are met. For instance, it allows to configure alternate reports for different companies.

Table of contents

- Usage
- Known issues / Roadmap
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

## Usage

To use this module, you need to:

1. Go to ‘Actions’ / ‘Reports’
2. Select the desired report you want to ‘Substitution Rules’
3. In the substitutions page add a new line
4. Select the substitution report action
5. Set a domain to specify when this substitution should happen

When a user calls a report action, the system tries to find the first substitution in with a domain that matches all records.

## Known issues / Roadmap

- The document name result should take the name of the substitution report.

## Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

## Credits

### Authors

- ACSONE SA/NV

### Contributors

- Bejaoui Souheil <souheil.bejaoui@acsone.eu>

### Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

Current maintainer:

This module is part of the OCA/reporting-engine project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.